﻿using Microsoft.AspNetCore.Http;
using System.Threading.Tasks;

namespace WebApiConfigReloadOnChange
{
    public class SomeMiddleware
    {
        private readonly RequestDelegate _next;

        public SomeMiddleware(RequestDelegate next)
        {
            _next = next;
        }

        public async Task InvokeAsync(HttpContext context, ISomeService someService)
        {
            someService.DoSomething("middleware - ");
            await _next(context);
        }
    }
}
